<?php

namespace Layerdrops\Ostech\Widgets;


class Package extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'ostech-package';
    }

    public function get_title()
    {
        return __('Package', 'ostech-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['ostech-category'];
    }

    protected function register_controls()
    {


        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'ostech-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'ostech-addon'),
                    'layout_two' => __('Layout Two', 'ostech-addon'),
                    'layout_three' => __('Layout Three', 'ostech-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include ostech_get_elementor_option('package-one-option.php');
        include ostech_get_elementor_option('package-three-option.php');

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .section-title__title,{{WRAPPER}} .sec-title-two__title', ['layout_one', 'layout_three', 'layout_two']);
        ostech_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .section-title__tagline,{{WRAPPER}} .sec-title-two__tagline', ['layout_one', 'layout_three', 'layout_two']);

        ostech_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .package-card__title a,{{WRAPPER}} .membership-three__item__title a', ['layout_one', 'layout_two', 'layout_three']);
        ostech_elementor_general_style_options($this, 'Subtitle', '{{WRAPPER}} .package-card__text,{{WRAPPER}} .membership-three__item__text', ['layout_one', 'layout_two', 'layout_three']);
        ostech_elementor_general_style_options($this, 'Price', '{{WRAPPER}} .package-card__price,{{WRAPPER}} .membership-three__item__price', ['layout_one', 'layout_two', 'layout_three']);

        ostech_elementor_general_style_options($this, 'Price Bg Color', '{{WRAPPER}} .package-card__price', ['layout_one', 'layout_two'], 'background-color', false);

        $this->end_controls_section();

        //button style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .package-card__link', '{{WRAPPER}} .package-card__link:hover', ['layout_one', 'layout_two']);

        $this->end_controls_section();

        ostech_get_elementor_carousel_options($this, ['layout_two']);
        ostech_elementor_column_count_options($this, ['layout_one']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include ostech_get_template('package-one.php');
        include ostech_get_template('package-two.php');
        include ostech_get_template('package-three.php');
    }
}
